Formalist
=========
Formalist is a jQuery plugin to perform **conditional web forms**. Thanks to the use of the HTML5 `data-` attribute, the plugin easily recognized elements to be displayed or hidden conditionally in your form. For example, when a checkbox is checked or a radio button is selected, Formalist will automatically performs the corresponding actions by masking or displaying the elements in cascade.

[![Formalist](https://raw.github.com/xavierfoucrier/Formalist/master/logo.png "Formalist")](https://xavierfoucrier.github.io/formalist)


Compatibility
-------------
Formalist is fully tested on **Google Chrome** for desktop *(latest public released version)*, on a **Google Nexus 7** tablet and on a **Google Nexus 5** phone. Both Android devices are running `Android "Lollipop" 5.1`. The plugin is compatible with browsers that natively support, or not, the HTML5 `data-` attribute.

Official support on Chrome 24+, Firefox 20+, Safari 5+, IE 9+ and Opera 11+. Many other browsers may work, but are not extensively tested.


Dependencies
------------
To ensure a stable running of Formalist, you need to have **some requirements** setted on your website.

1. Javascript library `jQuery 1.9` minimum required, tested on 1.9+ and working fine with 2.0+
3. HTML5 doctype, not required, but better for a good W3C validation

Note that jQuery 2.0 or higher doesn't support IE 6/7/8 anymore.


Download
--------
Latest stable release:

- [Production `jquery.formalist.min.js`](https://raw.github.com/xavierfoucrier/Formalist/master/jquery.formalist.min.js) - 1.93KB, 661B gzipped
- [Development `jquery.formalist.js`](https://raw.github.com/xavierfoucrier/Formalist/master/jquery.formalist.js) - 3.87KB, 1.09KB gzipped

The version's notation is based on `Semantic versioning`, [http://semver.org](http://semver.org).


Documentation
-------------
Here you will find the documentation describing **how to use** the jQuery plugin.

1. [How it works](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#how-it-works) - how the plugin do the stuff
2. [Markup](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#markup) - how should the HTML and CSS look like
3. [Calling](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#calling) - how to call Formalist
4. [Options](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#options) - all available options
5. [Examples](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#examples) - some case studies
6. [Demos](https://github.com/xavierfoucrier/Formalist/blob/master/DOCUMENTATION.md#demos) - some demos in action


Updates
-------
You can **track the project** on [Github](http://github.com/xavierfoucrier) and/or **follow me** on [Twitter](http://twitter.com/xavierfoucrier).


Contribute
----------
If you want to report a bug or if you just want to request for a new feature / improvement, you can simply use the **Github tracker**: please describe as much as possible the issue you encountered.


License
-------
The project is developed under the **Creative Commons** license with the reference [BY-NC 4.0](http://creativecommons.org/licenses/by-nc/4.0/) which means that you are free to share, copy, distribute, adapt, remix and transmit the work under the following conditions:

- **Attribution**: You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.
- **Noncommercial**: You may not use the material for commercial purposes.

See the [full legal code](http://creativecommons.org/licenses/by-nc/4.0/) of the license for more information about your rights.


Questions?
----------
If you have any questions, please **feel free to contact me!**  
Check out my website at [http://en.xavierfoucrier.fr](http://en.xavierfoucrier.fr).
